using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace saytan
{
    public partial class utas : Form
    {
        public utas()
        {
            InitializeComponent();
        }

        private void utas_Load(object sender, EventArgs e)
        {
            label1.BackColor = System.Drawing.Color.Transparent;
            label2.BackColor = System.Drawing.Color.Transparent;
            label3.BackColor = System.Drawing.Color.Transparent;
            label4.BackColor = System.Drawing.Color.Transparent;
            label5.BackColor = System.Drawing.Color.Transparent;
            label6.BackColor = System.Drawing.Color.Transparent;
            label6.Text = "";
        }

        private void label3_Click(object sender, EventArgs e)
        {
            label6.Text = "OK";
            label2.Text = "";
            label3.Text = "";
            label4.Text = "";
            label5.Text = "";
            Random rnd = new Random();
            int r = rnd.Next(1, 5);
            switch (r)
            {
                case 1:
                    label1.Text = "Ах : - Ёстой мэдэхгүй асуулт байна.";
                    break;
                case 2 :
                    label1.Text = " Эгч : - Миний бодлоор '"+ Class1.b +"' хариулт нь зөв байхаа.";
                    break;
                case 3:
                    label1.Text = " Дүү : - Дүү нь яаж мэдэхэв дээ.";
                    label3.Text = "Гэхдээ та А хариултыг сонгоод үзээрэй.";
                    break;
                case 4:
                    label1.Text = " Ээж : - Өөртөө итгэ дээ хүү минь.";
                    break;
                
            }
        }

        private void label6_Click(object sender, EventArgs e)
        {
            this.Hide();
            this.Close();
        }

        private void label5_Click(object sender, EventArgs e)
        {
            label6.Text = "OK";
            label2.Text = "";
            label3.Text = "";
            label4.Text = "";
            label5.Text = "";
            Random rnd = new Random();
            int r = rnd.Next(1, 5);
            switch (r)
            {
                case 1:
                    label1.Text = "Багш : - Ёстой мэдэхгүй асуулт байна.";
                    break;
                case 2:
                    label1.Text = " Багш : - Миний бодлоор '" + Class1.b + "' хариулт нь зөв байхаа.";
                    break;
                case 3:
                    label1.Text = " Багш : - В нь зөв санагдаад байна.";
                    break;
                case 4:
                    label1.Text = " Багш : - Өөртөө итгэ дээ хүү минь.";
                    break;

            }
        }

        private void label4_Click(object sender, EventArgs e)
        {
            label6.Text = "OK";
            label2.Text = "";
            label3.Text = "";
            label4.Text = "";
            label5.Text = "";
            Random rnd = new Random();
            int r = rnd.Next(1, 5);
            switch (r)
            {
                case 1:
                    label1.Text = "Батболд : - Ёстой мэдэхгүй асуулт байна хөгшөөн.";
                    break;
                case 2:
                    label1.Text = " Бачка : - Миний бодлоор '" + Class1.b + "' хариулт нь зөв байхаа.";
                    break;
                case 3:
                    label1.Text = " Амраа : - Найз нь яаж мэдэхэв дээ.";
                    label3.Text = "Гэхдээ чи А хариултыг сонгоод үзээрэй.";
                    break;
                case 4:
                    label1.Text = " Тулгаа : - Өөртөө итгэ анд минь.";
                    break;

            }
        }

        private void label2_Click(object sender, EventArgs e)
        {
            label6.Text = "OK";
            label2.Text = "";
            label3.Text = "";
            label4.Text = "";
            label5.Text = "";
            Random rnd = new Random();
            int r = rnd.Next(1, 5);
            switch (r)
            {
                case 1:
                    label1.Text = "С.Ганбаатар : - Ёстой мэдэхгүй асуулт байна.";
                    break;
                case 2:
                    label1.Text = " Х.Баттулга : - Миний бодлоор '" + Class1.b + "' хариулт нь зөв байхаа.";
                    break;
                case 3:
                    label1.Text = " С.Оюун : - В нь зөв санагдаад байна.";
                    break;
                case 4:
                    label1.Text = " Х.Тэмүжин : - Өөртөө итгэ дээ дүү минь.";
                    break;

            }
        }
    }
}
